<?php	require_once('../preheader1.php'); // <-- this include file MUST go first before any HTML/output
$user=$_SESSION['MM_Username'];
if(!isset($user)) header("Location:" . "../../index.php?deslogeo");
require_once('../../Connections/odonto_connection1.php'); 

$query_rs_todos = "SELECT negocio,categ FROM ingreso WHERE user LIKE '$user'";
$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
$categ=$row_rs_ingreso0[categ];
$negocio=$row_rs_ingreso0[negocio];

if(isset($_GET[id_avi])){$id_avi=$_GET[id_avi];
$query_rs_todos = "UPDATE avisos SET avisado = 1 WHERE id_avi = $id_avi";
$rs_ingreso2 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
}

	#the code for the class
	include ('../ajaxCRUD.class.php'); // <-- this include file MUST go first before any HTML/output

    $tabla2 = new ajaxCRUD("DATOS", "datos", "id_datos", "../");
	$tabla2->omitPrimaryKey();
	$tabla2->displayAs("sonido", "Sonido");
	$tabla2->displayAs("boton_mozo", "Mozo");
	$tabla2->displayAs("boton_cuenta", "Cuenta");
	//$tabla2->displayAs("cliente_habilitado", "Cliente Habilitado");
	$tabla2->displayAs("concarta", "Carta Papel");
	$tabla2->displayAs("conarmarpedido", "Menu Virtual");
	$tabla2->displayAs("costo_envio", "Costo Envio");
	$tabla2->displayAs("propina", "Propina");
	$tabla2->displayAs("geoloc", "Geolocalizar");
	$tabla2->displayAs("imagen_precios", "Fondo Carta Digital");
	$tabla2->displayAs("imagen_index", "Fondo Principal");
	$tabla2->displayAs("imagen_logo", "Logo Chico");
	//$tabla2->omitField("cod_pre");
	$tabla2->omitField("negocio");
	$tabla2->omitField("zona_reparto");
	$tabla2->omitField("abre_maniana");
	$tabla2->omitField("cliente_habilitado");
	$tabla2->omitField("cierra_maniana");
	$tabla2->omitField("latitud");
	$tabla2->omitField("longitud");
	$tabla2->omitField("sin_carta_digital");
	$tabla2->omitField("direccion");
	$tabla2->omitField("telefono");
	$tabla2->omitField("instagram");
	$tabla2->omitField("facebook");
	$tabla2->omitField("twiter");
	$tabla2->omitField("no_delivery");
	$tabla2->omitField("color_titulo");
	$tabla2->omitField("color_letra");
	$tabla2->omitField("color_observa");
	$tabla2->omitField("boton_mozo");
	$tabla2->omitField("boton_cuenta");
   
	$aux1="./fondos/".$negocio."/";
	$aux2="./fondos/".$negocio."/";
	$allowedExts = array("png", "jpg", "jpeg", "gif", "bmp", "tif", "tiff","txt");
	$tabla2->setFileUpload("imagen_precios", $aux1, $aux2, $allowedExts);
	$tabla2->appendUploadFilename("id_datos");
	$tabla2->formatFieldWithFunction('imagen_precios', 'makeImg');
	
	$tabla2->setFileUpload("imagen_index", $aux1, $aux2, $allowedExts);
	$tabla2->formatFieldWithFunction('imagen_index', 'makeImg');
	
	$tabla2->setFileUpload("imagen_logo", $aux1, $aux2, $allowedExts);
	$tabla2->formatFieldWithFunction('imagen_logo', 'makeImg');
	
		function makeImg($val)
		{
			global $negocio;
			if($val) return "<img src=\"./fondos/".$negocio."/$val\" width=\"200\" height=\"200\" />";
			else return "<img src=\"../../../imagenes_productos/sin_imagen.png\" width=\"200\" height=\"200\" />";
		}
	
	//$tabla2->disableTableHeaders();
	//$tabla2->emptyTableMessage = "nada para mostrar";
	$tabla2-> addWhereClause("WHERE (negocio = '$negocio')");
	//$tabla2->turnOffAjaxEditing();
	//$tabla2->addButtonToRow("OK", "index_precios.php?veamos", "id_pre");
	//$tabla2->addOrderBy("ORDER BY id_pre ASC");
	$tabla2->disallowDelete();
	$tabla2->setLimit(2);
	$tabla2->disallowAdd();
	$tabla2->defineCheckbox("geoloc", "1", "0");	
	$tabla2->defineCheckbox("boton_mozo", "1", "0");	
	$tabla2->defineCheckbox("boton_cuenta", "1", "0");	
	//$tabla2->defineCheckbox("cliente_habilitado", "1", "0");	
	$tabla2->defineCheckbox("sonido", "0", "1");	
	$tabla2->defineCheckbox("concarta", "0", "1");	
	$tabla2->defineCheckbox("conarmarpedido", "0", "1");	
	$tabla2->defineCheckbox("propina", "0", "1");	
	$tabla2->defineCheckbox("sin_carta_digital", "1", "0");	
	//$tabla2->disallowEdit('menu'); 
	//$tabla2->disallowEdit('precio'); 
	$tabla2->setCSSFile('greysuit.css');
	$tabla2->addText= "AGREGAR";	
	$tabla2->orderFields("nombre,imagen_index,imagen_logo,imagen_precios,geoloc,concarta,conarmarpedido,propina,costo_envio,sonido");
	
?>
<!DOCTYPE HTML>
<html>
<head>
<!--<meta http-equiv="refresh" content="7" charset="UTF-8"> -->
<meta charset="UTF-8">
<title>PonderZone</title>
<link rel="icon" href="../../pondercode.jpg">

<meta name="viewport" content="width=device-width,user-scalable=no,initial-scale=1.0,maximum-scale=1.0" />

<?php require_once('../../inc/bootstrap.php');?>
	
</head>
<body style="background-color:#0D1749" />
	
	<?php	 require_once('menu.php');?>
	<br>
	<?php	 require_once('botones.php');?>
		<!-- <div class="row" ><b>
<span style="border-image: initial; border: 2px solid white;">MESAS Y MOZOS</span>
</b><p>
		</div> -->

	<div class="container-fluid text-center">
		<div class="row">
			<div class="col">
				<h3>Configuraciones varias</h3>
			</div>
		</div>
		<div class="row">
			<div class="col">
			<?php $tabla2->showTable();?>
				<h3>Notas:</h3>
				<h5>Fondo Principal no mayor a 700 px x 700 px</h5>
				<h5>Logo Chico no mayor a 100 px x 100 px</h5>
				<h5>Fondo Carta Digital no mayor a 800 px x 800 px</h5>
			
			</div>
		</div>
	</div>
		
</body>
</html>
